import 'package:easy_pass_common/dto/ticket_status.dart';
import 'package:easy_pass_common/dto/update_request_base.dart';
import 'package:enum_to_string/enum_to_string.dart';

class UpdateTicketRequest extends UpdateRequestBase {
  final TicketStatus status;

  UpdateTicketRequest(ticketId, this.status): super(ticketId){
    this.path = '/tickets';

    parameters = {
      'status': EnumToString.parse(this.status)
    };
  }
}