import 'dart:convert';


import 'package:easy_pass_common/dto/login_response.dart';
import 'package:flutter_test/flutter_test.dart';

import '../fixture_reader.dart';

void main() {
  group("Login response - ", () {

    test("from json - will construct object from json", () async {
        var jsonObject = json.decode(fixture('login_response.json'));

        var response = LoginResponse.fromJson(jsonObject);

        expect(response, isNotNull);
        expect(response.user, isNotNull);
        expect(response.jwt, equals('eyJhbGciOiJIUzI1NiJ9.eyJwZXJzb25faWQiOjJ9.Gwx_yVQBZP9rChkV9anY8YmXau0SU0ZD7LfJd6xwytI'));
    });
  });
}