import 'package:easy_pass_common/service/service_base/service_base.dart';
import 'package:http/http.dart';

import 'test_dto.dart';
import 'test_index_request.dart';

class TestService extends ServiceBase {
  TestService.withClient(Client client) : super(client);

  Future<List<TestDto>> getListObjects() async {
    
    var response = await this.index(TestIndexRequest(1, 2));
    return response.map((json) => TestDto.fromJson(json)).toList();
  }
  
}