import 'package:flutter/widgets.dart';

class AppConfig extends InheritedWidget{
  AppConfig({
    @required this.apiBaseUrl,
    @required Widget child
  }) : super(child: child);

  final String apiBaseUrl;

  static AppConfig of(BuildContext context) {
    return context.dependOnInheritedWidgetOfExactType(aspect: AppConfig);
  }

  @override
  bool updateShouldNotify(InheritedWidget oldWidget) => false;  
}