import 'package:easy_pass_common/dto/ticket_status.dart';
import 'package:enum_to_string/enum_to_string.dart';

class Ticket {
  int id;
  int eventId;
  int personId;
  TicketStatus status;

  Ticket.fromJson(Map<String, dynamic> json) {
    if (json != null) {
      this.id = json['id'];
      this.eventId = json['event_id'];
      this.personId = json['person_id'];
      this.status = EnumToString.fromString(TicketStatus.values, json['status']);      
    }
  }
}