import 'package:easy_pass_common/dto/login_request.dart';
import 'package:easy_pass_common/dto/login_response.dart';
import 'package:easy_pass_common/service/service_base/service_base.dart';
import 'package:http/http.dart';

class AuthenticationService extends ServiceBase {

  AuthenticationService(): super(Client());
  AuthenticationService.withClient(Client client): super(client);

  Future<LoginResponse> login(String email, String password) async {
    var response = LoginResponse.fromJson(await this.post(LoginRequest(email, password)));

    return response;
  }
}