import 'package:easy_pass_common/dto/ticket.dart';
import 'package:easy_pass_common/dto/ticket_status.dart';
import 'package:easy_pass_common/dto/update_ticket_request.dart';
import 'package:easy_pass_common/service/service_base/service_base.dart';
import 'package:http/http.dart';

class TicketService extends ServiceBase {

  TicketService(): super(Client());
  TicketService.withClient(Client client) : super(client);  

  Future<Ticket> updateTicket(int ticketId, TicketStatus status) async{
    var response = Ticket.fromJson(await this.update(UpdateTicketRequest(ticketId, status)));
    return response;    
  }
}