
import 'package:easy_pass_common/dto/login_request.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group('Login request - ', () {

    test('constructor - will initilize internal variables', () async {
        var request = LoginRequest('test-email', 'test-password');
        var parameters = request.parameters;
        
        expect(parameters, isNotNull);
        expect(request.path, equals('/auth/login'));
        expect(parameters['email'], equals('test-email'));
        expect(parameters['password'], equals('test-password'));
    });
  });
}